com.io7m.jcanephora.core

## Enum JCGLStencilFunction

- java.lang.Object
- - java.lang.Enum<JCGLStencilFunction>
  - - com.io7m.jcanephora.core.JCGLStencilFunction

- All Implemented Interfaces:
    Serializable, Comparable<JCGLStencilFunction>

      public enum JCGLStencilFunction
      extends Enum<JCGLStencilFunction>

  Stencil function specification.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STENCIL_ALWAYS` Stencil test always passes.
    `STENCIL_EQUAL` Passes if `(ref & mask) == (stencil & mask)`.
    `STENCIL_GREATER_THAN` Passes if `(ref & mask) > (stencil & mask)`.
    `STENCIL_GREATER_THAN_OR_EQUAL` Passes if `(ref & mask) >= (stencil & mask)`.
    `STENCIL_LESS_THAN` Passes if `(ref & mask) < (stencil & mask)`.
    `STENCIL_LESS_THAN_OR_EQUAL` Passes if `(ref & mask) <= (stencil & mask)`.
    `STENCIL_NEVER` Never passes.
    `STENCIL_NOT_EQUAL` Passes if `(ref & mask) != (stencil & mask)`.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLStencilFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLStencilFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STENCIL_ALWAYS

          public static final JCGLStencilFunction STENCIL_ALWAYS

      Stencil test always passes.

    - #### STENCIL_EQUAL

          public static final JCGLStencilFunction STENCIL_EQUAL

      Passes if `(ref & mask) == (stencil & mask)`.

    - #### STENCIL_GREATER_THAN

          public static final JCGLStencilFunction STENCIL_GREATER_THAN

      Passes if `(ref & mask) > (stencil & mask)`.

    - #### STENCIL_GREATER_THAN_OR_EQUAL

          public static final JCGLStencilFunction STENCIL_GREATER_THAN_OR_EQUAL

      Passes if `(ref & mask) >= (stencil & mask)`.

    - #### STENCIL_LESS_THAN

          public static final JCGLStencilFunction STENCIL_LESS_THAN

      Passes if `(ref & mask) < (stencil & mask)`.

    - #### STENCIL_LESS_THAN_OR_EQUAL

          public static final JCGLStencilFunction STENCIL_LESS_THAN_OR_EQUAL

      Passes if `(ref & mask) <= (stencil & mask)`.

    - #### STENCIL_NEVER

          public static final JCGLStencilFunction STENCIL_NEVER

      Never passes.

    - #### STENCIL_NOT_EQUAL

          public static final JCGLStencilFunction STENCIL_NOT_EQUAL

      Passes if `(ref & mask) != (stencil & mask)`.

  - ### Method Detail

    - #### values

          public static JCGLStencilFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLStencilFunction c : JCGLStencilFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLStencilFunction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com